%define upstream_name    Module-Data
%define upstream_version 0.007

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Introspect context information about modules in @INC
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(Module::Build) >= 0.400.700
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moo)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Path::Class::File)
BuildRequires: perl(Path::ScanINC) >= 0.2.0
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Sub::Quote)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.990.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build


%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.7.0-7pclos2017
- rebuild against updates

